Bug 32883 - Падает после обновления firefox до 50.0.2-alt1.M80P.1
: Падает после обновления firefox до 50.0.2-alt1.M80P.1
Status: CLOSED DUPLICATE of bug 31995
: Branch p8
(All bugs in Branch p8/freshplayerplugin)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
: 33085
:
  Show dependency tree
 
Reported: 2016-12-11 17:58 by
Modified: 2017-03-21 12:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-12-11 17:58:48
Падает на любом флеше. При этом создаёт в tmp кучку пустых бектрейсов

cat /tmp/freshwrapper-backtrace-1481467006-5929.txt 
=== backtrace triggered by signal 11 ===
=== current thread ===
No stack.
=== thread list ===
No threads.
=== all threads ===
------- Comment #1 From 2017-02-16 20:18:21 -------
И правда падает.
Воспроизводится на сегодняшнем p8.
------- Comment #2 From 2017-02-16 20:22:26 -------
В сизифе исправлено.
------- Comment #3 From 2017-02-18 12:29:39 -------
Обновился сегодня в p8  ppapi-plugin-adobe-flash
По прежнему падает..

ppapi-plugin-adobe-flash-24.0.0.221-alt3
firefox-51.0.1-alt0.M80P.1

Shockwave Flash

    Файл: libfreshwrapper-flashplayer.so
    Путь: /usr/lib64/browser-plugins/libfreshwrapper-flashplayer.so
    Версия: 13.1.2.3
    Состояние: Включён
    Shockwave Flash 13.1 r2
------- Comment #4 From 2017-03-12 11:44:18 -------
Это баг firefox.

*** This bug has been marked as a duplicate of bug 33085 ***
------- Comment #5 From 2017-03-12 11:46:16 -------

*** This bug has been marked as a duplicate of bug 31995 ***
------- Comment #6 From 2017-03-21 11:33:56 -------
На этот раз похоже всё таки другая  ошибка.
Падет даже с оригинальным флеш плугином с руганью в консоли на 


/usr/lib64/firefox/plugin-container:16347): Gdk-WARNING **: The
GDK_NATIVE_WINDOWS environment variable is not supported in GTK3.
See the documentation for gdk_window_ensure_native() on how to get native
windows.

(/usr/lib64/firefox/plugin-container:16347): GLib-GObject-WARNING **: cannot
register existing type 'GdkDisplay'

(/usr/lib64/firefox/plugin-container:16347): GLib-CRITICAL **:
g_once_init_leave: assertion 'result != 0' failed

(/usr/lib64/firefox/plugin-container:16347): Gdk-CRITICAL **:
IA__gdk_pixmap_foreign_new_for_display: assertion 'GDK_IS_DISPLAY (display)'
failed

###!!! [Parent][MessageChannel::Call] Error: Channel error: cannot send/recv


###!!! [Parent][MessageChannel] Error:
(msgtype=0xB60071,name=PPluginInstance::Msg_PBrowserStreamConstructor) Channel
error: cannot send/recv


(/usr/lib64/firefox/plugin-container:16363): Gdk-WARNING **: The
GDK_NATIVE_WINDOWS environment variable is not supported in GTK3.
See the documentation for gdk_window_ensure_native() on how to get native
windows.

###!!! [Parent][MessageChannel::Call] Error: Channel error: cannot send/recv


###!!! [Parent][MessageChannel::Call] Error:
(msgtype=0xB60006,name=PPluginInstance::Msg_NPP_SetWindow) Channel error:
cannot send/recv


###!!! [Parent][MessageChannel::Call] Error:
(msgtype=0xB6000C,name=PPluginInstance::Msg_NPP_GetValue_NPPVpluginScriptableNPObject)
Channel error: cannot send/recv


###!!! [Parent][MessageChannel] Error:
(msgtype=0xB60071,name=PPluginInstance::Msg_PBrowserStreamConstructor) Channel
error: cannot send/recv
------- Comment #7 From 2017-03-21 12:19:00 -------
Это не другая ошибка, она исправлена в Sisyphus, всё что нужно - забрать из
Сизифа все изменения.